Bug 10271 - Kickstart has an error in video card selction code
Kickstart has an error in video card selction code
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-20 16:41 EST by Jason Shelton
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-21 14:58:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Shelton 2000-03-20 16:41:29 EST
I have found that not using the --card modifier results in the following
eror:

File "/usr/lib/anaconda/xf86config.py", line 164, in setVidcard
self.devID=self.vidCards[self.primary]["NAME"]
TypeError: unsubscriptable object

By looking at the code a bit, I found it was looking for the --card
modifier. I then added --card "generic" to my kickstart config file and was
rewarded with this error:

File "/usr/lib/anaconda/xf86config.py", line 164, in setVidcard
self.devID=self.vidCards[self.primary]["NAME"]
TypeError: sequence index must be an integer

removing the xconfig line from the ks.cfg file is the only way to make it
work
Comment 1 Jay Turner 2000-03-21 14:58:59 EST
This should be fixed in the shipped release.  Please reopen if you are still
having problems once you load the final code.

Note You need to log in before you can comment on or make changes to this bug.